%include /usr/share/livecd-tools/livecd-fedora-9-desktop-fr.ks

repo --name=released --baseurl=http://haderach/fedora/rawhide-i386/
repo --name=updates --baseurl=http://haderach/fedora/fedora-9-i386-updates
#repo --name=testing --baseurl=http://haderach/fedora/fedora-9-i386-updates-testing/
repo --name=livna --baseurl=http://livna-dl.reloumirrors.net/fedora/9/i386/

# change some system configurations
# System keyboard
keyboard fr-latin9
# System language
lang fr_FR.UTF-8
# System timezone
timezone  Europe/Paris

%packages
# Yep - we add our own stuff
kmod-nvidia

#herited from local-support that we do not need
# Well we can keep them anyway
-baemuk-ttf-fonts-gulim
-cjkunifonts-uming
-kacst-fonts
-lohit-fonts*
-paktype-fonts
-thaifonts-scalable
# heeh - we don't need this either
-nspluginwrapper
#codeina - well ok 

#Support for your language
@french-support


%end

%pre
mkdir -p /etc/rpm
echo "%_install_langs en:fr:fr_FR:fr-FR" > /etc/rpm/macros.lang
#/usr/bin/chcon -t system_u /etc/rpm/macros.lang
%end

%post
# Localized keyboard map
echo fr-latin9 > /etc/X11/Xkbmap
#/usr/bin/chcon -t system_u /etc/X11/Xkbmap
# Localized system timezone
cp -p /usr/share/zoneinfo/Europe/Paris /etc/localtime
# Localized default firefox dictionary
echo "pref(\"spellchecker.dictionary\", \"fr_FR\");" >> \
  /usr/lib/firefox-3.0b5/defaults/preferences/all-redhat.js
sed -i -e 's/en-US/fr-FR/g' \
  /usr/lib/firefox-3.0b5/defaults/preferences/firefox-l10n.js
%end

%post --nochroot
# Overwrite for a localized README
cp -pR $INSTALL_ROOT/usr/share/doc/HTML/readme-live-image/fr/readme-live-image-fr.txt $LIVE_ROOT/README

%end
