%include /usr/share/livecd-tools/livecd-fedora-9-kde-fr.ks

repo --name=released --baseurl=http://haderach/fedora/rawhide-i386/
repo --name=updates --baseurl=http://haderach/fedora/fedora-9-i386-updates
#repo --name=testing --baseurl=http://haderach/fedora/fedora-9-i386-updates-testing/


# change some system configurations
# System keyboard
keyboard fr-latin9
# System language
lang fr_FR.UTF-8
# System timezone
timezone  Europe/Paris

%packages
# Yep - we add our own stuff
hunspell-fr
aspell-fr
man-pages-fr
# We save space - what could we add more ?
#swfdec-mozilla
java-1.6.0-openjdk-plugin
# Compiz-fusion thing
#compiz-fusion-gnome
#compiz-fusion-extras-gnome
ccsm
#compizconfig-backend-gconf
#fusion-icon-gtk
# PulseAudio
#pulseaudio-module-zeroconf
#pulseaudio-libs-zeroconf
#paman
#paprefs
# Some tools
#gparted
wget
#nautilus-open-terminal
#gobby
powertop
#filezilla
# Multimedia
#gutenprint-plugin
#xsane-gimp
#gstreamer-plugins-farsight
#gstreamer-plugins-flumpegdemux
#gstreamer-plugins-schroedinger
#Not directly needed
# vlc fedora dependencies
SDL_image
aalib-libs
dirac-libs
directfb
jack-audio-connection-kit
libcaca
libcddb
libdc1394
libdvdnav
libdvdread
libebml
libfreebob
libid3tag
libmatroska
libmodplug
libmpcdec
libmp4v2
libopendaap
libtar
libupnp
lirc-libs
portaudio
svgalib
xosd
#mplayer fedora dependencies
enca
libnemesi
lksctp-tools
netembryo
libXvMC
# Gstreamer
#libsidplay
#libcdaudio
#OpenEXR
#libtimidity
#neon
#pakchois
#wildmidi-libs

#herited from local-support that we do not need
# Well we can keep them anyway
-baemuk-ttf-fonts-gulim
-cjkunifonts-uming
-kacst-fonts
-lohit-fonts*
-paktype-fonts
-thaifonts-scalable
# heeh - we don't need this either
-nspluginwrapper
#codeina - well ok 

#Support for your language
@french-support


%end

%pre
mkdir -p /etc/rpm
echo "%_install_langs en:fr:fr_FR:fr-FR" > /etc/rpm/macros.lang
#/usr/bin/chcon -t system_u /etc/rpm/macros.lang
%end

%post
# Localized keyboard map
echo fr-latin9 > /etc/X11/Xkbmap
#/usr/bin/chcon -t system_u /etc/X11/Xkbmap
# Localized system timezone
cp -p /usr/share/zoneinfo/Europe/Paris /etc/localtime
# Localized default firefox dictionary
echo "pref(\"spellchecker.dictionary\", \"fr_FR\");" >> \
  /usr/lib/firefox-3.0b5/defaults/preferences/all-redhat.js
sed -i -e 's/en-US/fr-FR/g' \
  /usr/lib/firefox-3.0b5/defaults/preferences/firefox-l10n.js
%end

%post --nochroot
# Overwrite for a localized README
cp -pR $INSTALL_ROOT/usr/share/doc/HTML/readme-live-image/fr/readme-live-image-fr.txt $LIVE_ROOT/README

%end
